notepadqq (1.0.1.gitc7c15d8-1obs) obs; urgency=medium

  * New upstream release, build for Debian and Ubuntu.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 29 Aug 2017 10:16:56 -0700

notepadqq (1.0.1-0~trusty1) trusty; urgency=medium

  * Fix: settings were not saved

 -- Daniele Di Sarli <danieleds0@gmail.com>  Sun, 05 Feb 2017 23:46:42 +0100

notepadqq (1.0.0-0~yakkety1) yakkety; urgency=medium

  * Sessions
  * Run menu
  * Option to disable smart indentation
  * Option to change line height
  * Support special characters in replacement strings when searching
  * Improved shortcut settings
  * Speed improvements in search in files
  * Use the system language as default language
  * Swedish localization

 -- Daniele Di Sarli <danieleds0@gmail.com>  Sun, 05 Feb 2017 22:54:57 +0100

notepadqq (0.53.0-0~xenial1) xenial; urgency=medium

  * Allow users to configure a custom font (and size) (e246e81)
  * Support for showing tabs, spaces and end of line symbols (a4866d9)
  * Fix regression regarding whitespaces and word-wrap (84048d8)
  * Fix Zenburn theme not loading properly at startup (f761810)
  * Fix left editor panel not updating when switching languages (01fae47)
  * UI improvements for custom keyboard shortcuts (2f05245)

 -- Daniele Di Sarli <danieleds0@gmail.com>  Mon, 29 Aug 2016 21:38:32 +0200

notepadqq (0.52.1-0~xenial1) xenial; urgency=medium

  * Fonts fix

 -- Daniele Di Sarli <danieleds0@gmail.com>  Fri, 12 Aug 2016 02:37:17 +0200

notepadqq (0.52.0-0~xenial1) xenial; urgency=medium

  * Added Alt+digit, Ctrl+PageUp and Ctrl+PageDown shortcuts to switch between tabs
  * Added ability to shift lines up/down
  * Added localization switch within Preferences
  * Added regex groups support for text replacement
  * Russian localization
  * Polish localization

 -- Daniele Di Sarli <danieleds0@gmail.com>  Fri, 12 Aug 2016 00:07:08 +0200

notepadqq (0.51.0-0~xenial1) xenial; urgency=medium

  * Always use tabSize from the preferences when converting tabs to spaces
  * Keyboard shortcuts compatibility with translations
  * HU localization
  * Fix casing bug for search dialog
  * Shift+Insert to paste
  * Ctrl+Insert to copy
  * Identify TCL scripts by shebang
  * Recognize more Fortran extensions

 -- Daniele Di Sarli <danieleds0@gmail.com>  Sat, 05 Mar 2016 19:58:51 +0100

notepadqq (0.50.6-0~wily1) wily; urgency=medium

  * Support for translations
  * New icon

 -- Daniele Di Sarli <danieleds0@gmail.com>  Thu, 24 Dec 2015 22:26:10 +0100

notepadqq (0.50.4-0~vivid1) vivid; urgency=medium

  * Full screen
  * UI fixes

 -- Daniele Di Sarli <danieleds0@gmail.com>  Fri, 18 Sep 2015 17:25:02 +0200

notepadqq (0.50.2-0~vivid1) vivid; urgency=medium

  * Support for Qt 5.5

 -- Daniele Di Sarli <danieleds0@gmail.com>  Thu, 27 Aug 2015 11:01:54 +0200

notepadqq (0.50.1-0~vivid1) vivid; urgency=medium

  * Bugfix

 -- Daniele Di Sarli <danieleds0@gmail.com>  Sat, 27 Jun 2015 21:17:12 +0200

notepadqq (0.50.0-0~vivid1) vivid; urgency=medium

  * New modes: Mathematica, ASN.1, TTCN, TTCN-CFG, MUMPS
  * Experimental support for extensions
  * UI fixes in Preferences Dialog
  * Misc bug fixes

 -- Daniele Di Sarli <danieleds0@gmail.com>  Sat, 27 Jun 2015 20:03:22 +0200

notepadqq (0.46.2-0~vivid1) vivid; urgency=medium

  * Improved look and usability of the intentation dialog
  * Highly reduced memory footprint

 -- Daniele Di Sarli <danieleds0@gmail.com>  Sun, 26 Apr 2015 11:32:37 +0200

notepadqq (0.46.0-0~utopic1) utopic; urgency=medium

  * New languages: m4, forth, PGP (ASCII armor), Troff, CMake
  * Improved language recognition
  * CodeMirror updated to v5.1.0
  * Implemented an "Open folder" menu
  * Implemented a "Go to line..." menu
  * Assigned a name to the toolbar
  * Implemented search histories
  * Introduced an option to turn off indent warning
  * Consider "Replace All" as a single undo event
  * Fix PNG color profiles
  * Do not show indentation warning when the document is reloaded
  * Set default search text to the current selection
  * Folder chooser dialog for search in files now defaults to the current editor path

 -- Daniele Di Sarli <danieleds0@gmail.com>  Sun, 05 Apr 2015 11:50:12 +0200

notepadqq (0.45.1-0~utopic1) utopic; urgency=medium

  * Search-in-files fixes
  * Search-in-files message box improvements
  * Replace-in-files feature
  * Improved search results style
  * Fixed drag 'n drop of a file within an editor
  * Updated banners style (file changed / indentation settings)

 -- Daniele Di Sarli <danieleds0@gmail.com>  Sat, 21 Feb 2015 11:43:19 +0100

notepadqq (0.44.0-0~utopic1) utopic; urgency=medium

  * Close tabs with middle click
  * Implemented 'Find in files'
  * Fixed keyboard shortcuts
  * CodeMirror updated to v4.12.0
  * Allow to duplicate or delete the current line
  * Implemented 7 blank operations
  * ZenBurn theme
  * New languages

 -- Daniele Di Sarli <danieleds0@gmail.com>  Sat, 14 Feb 2015 12:40:08 +0100

notepadqq (0.41.1-0~utopic1) utopic; urgency=medium

  * Misc fixes
  * Recognize more shell files
  * Detect Qt 5.4

 -- Daniele Di Sarli <danieleds0@gmail.com>  Sat, 03 Jan 2015 13:39:36 +0100

notepadqq (0.41.0-0~utopic1) utopic; urgency=medium

  * Bug fixes
  * New command line option --new-window to open files in a new window
  * Added desktop file actions on Unity (Open a new window, Open a new document)
  * Perl, Python, Bash and sh shebangs are now recognized automatically
  * CodeMirror updated to v4.8.0
  * Open new documents by double clicking on the tab bar
  * Search-as-I-type feature implemented (user can disable it from settings)

 -- Daniele Di Sarli <danieleds0@gmail.com>  Fri, 28 Nov 2014 09:39:54 +0100

notepadqq (0.40.1-0~utopic1) utopic; urgency=medium

  * Fix opening relative paths from other instances

 -- Daniele Di Sarli <danieleds0@gmail.com>  Sat, 15 Nov 2014 01:16:34 +0100

notepadqq (0.40.0-0~utopic7) utopic; urgency=medium

  * Bug fixes
  * Quick Run entries
  * Language Hints
  * Support for single instance, with interaction between windows

 -- Daniele Di Sarli <danieleds0@gmail.com>  Fri, 14 Nov 2014 15:33:32 +0100

notepadqq (0.39.0-1~trusty1) trusty; urgency=medium

  * More extensions recognized
  * Textile and Tornado languages
  * Completed encoding menu entries ('Reload file encoded as', 'Reinterpret as')
  * CodeMirror updated to v4.7.0

 -- Daniele Di Sarli <danieleds0@gmail.com>  Wed, 22 Oct 2014 10:59:59 +0200

notepadqq (0.38.0-1~trusty1) trusty; urgency=medium

  * Support for Qt5.3 installed in /opt/Qt
  * Custom, per-document, indentation settings
  * New icon

 -- Daniele Di Sarli <danieleds0@gmail.com>  Sun, 12 Oct 2014 12:04:35 +0200

notepadqq (0.37.1-1~trusty1) trusty; urgency=medium

  * Build issues

 -- Daniele Di Sarli <danieleds0@gmail.com>  Sun, 05 Oct 2014 17:38:56 +0200

notepadqq (0.37.0-1~trusty1) trusty; urgency=medium

  * Improved build process
  * Added support for Modelica language
  * CodeMirror updated to version 4.6
  * Find: restart from beginning when the end of document is reached
  * Implemented "Show tabs" option
  * Implemented documents conversion to all supported encodings
  * UI glitch: fix cursor when the editor is smaller than the window

 -- Daniele Di Sarli <danieleds0@gmail.com>  Sun, 05 Oct 2014 15:05:13 +0200

notepadqq (0.36.0-1~trusty1) trusty; urgency=medium

  * Bug fixes
  * Introduced color schemes for the editor
  * Improved syntax highlighter detection of the language
  * Insert / Overwrite modes

 -- Daniele Di Sarli <danieleds0@gmail.com>  Sat, 27 Sep 2014 12:35:59 +0200

notepadqq (0.35.0-1~trusty1) trusty; urgency=medium

  * Bug fixes
  * Keep track of recent documents
  * Faster document loading
  * Remember scroll and cursor position when reloading file from disk
  * Fixed SVG loading problems on some machines
  * Support for UNIX, OS X, Windows and old Mac line endings
  * Save zoom and word wrap across sessions
  * Set focus to search box when opening search window
  * Preliminary support for text encodings

 -- Daniele Di Sarli <danieleds0@gmail.com>  Sun, 21 Sep 2014 12:22:54 +0200

notepadqq (0.34.0-1~trusty1) trusty; urgency=medium

  * Bug fixes
  * New Search dialog
  * Ability to search using regular expressions
  * Advanced search options
  * Find next/find prev from main window
  * 'Rename' menu
  * Support for word wrap
  * Makefile highlighter improvements

 -- Daniele Di Sarli <danieleds0@gmail.com>  Wed, 17 Sep 2014 10:31:38 +0200

notepadqq (0.33.0-1~trusty1) trusty; urgency=medium

  * Bug fixes
  * Re-enabled window size grip
  * Window geometry now gets saved
  * Allow to launch Notepadqq from command line
  * Current file name in window title
  * Fixed undo history for opened files
  * 'Close all but current document' implemented
  * 'Save all' implemented
  * New 'About' window
  * Syntax highlighter for Makefiles
  * Support for icon themes
  * Introduced a banner to alert user about file changes

 -- Daniele Di Sarli <danieleds0@gmail.com>  Thu, 11 Sep 2014 16:02:33 +0200

notepadqq (0.32.0-1~trusty1) trusty; urgency=medium

  * Stability fixes
  * Huge number of new languages
  * ToUpper / ToLower
  * Zoom
  * Status bar improvements

 -- Daniele Di Sarli <danieleds0@gmail.com>  Sun, 07 Sep 2014 15:27:39 +0200

notepadqq (0.31.0-1~trusty1) trusty; urgency=medium

  * Misc fixes
  * Speed improvements
  * Option to disable Qt version check at startup
  * Change language highlighter directly from the menu
  * Match brackets
  * Support for shift+tab
  * Per-language indentation settings (tab or spaces, size)

 -- Daniele Di Sarli <danieleds0@gmail.com>  Thu, 04 Sep 2014 14:59:59 +0200

notepadqq (0.30.3-1~trusty1) trusty; urgency=medium

  * 'Replace' menu entry
  * CodeMirror update to v4.5
  * Improved highlighting
  * Fix package paths

 -- Daniele Di Sarli <danieleds0@gmail.com>  Mon, 01 Sep 2014 22:03:58 +0200

notepadqq (0.30.2-1~trusty1) trusty; urgency=medium

  * File monitoring

 -- Daniele Di Sarli <danieleds0@gmail.com>  Mon, 01 Sep 2014 12:37:23 +0200

notepadqq (0.30.1-1ubuntu1~trusty) trusty; urgency=medium

  * Search / replace functionality

 -- Daniele Di Sarli <danieleds0@gmail.com>  Fri, 29 Aug 2014 15:54:21 +0200

notepadqq (0.30.0-1) trusty; urgency=low

  * New version

 -- Daniele Di Sarli <danieleds0@gmail.com>  Wed, 27 Jun 2014 12:00:00 +0200

notepadqq (0.20.0-1) trusty; urgency=low

  * New version

 -- Daniele Di Sarli <danieleds0@gmail.com>  Fri, 06 Jun 2014 05:48:04 +0200

notepadqq (0.13.11-1) precise; urgency=low

  * Improved cross-platform behavior

 -- Daniele Di Sarli <danieleds0@gmail.com>  Sun, 03 Jun 2012 17:42:56 +0200

notepadqq (0.13.10-1) maverick; urgency=low

  * "Run" menu
  * Improved selection highlight behavoir
  * Icon updated

 -- Daniele Di Sarli <danieleds0@gmail.com>  Tue, 12 Apr 2011 17:13:45 +0200

notepadqq (0.13.9-1) maverick; urgency=low

  * Notepadqq now monitors for changed files
  * Fixed a bug related to selection highlight
  * Fixed a bug relative to text encodings

 -- Daniele Di Sarli <danieleds0@gmail.com>  Sun, 10 Apr 2011 17:39:42 +0200

notepadqq (0.13.8-1) maverick; urgency=low

  * Added support for mouse wheel zooming
  * Improved DEB packages

 -- Daniele Di Sarli <danieleds0@gmail.com>  Tue, 05 Apr 2011 18:29:07 +0200

notepadqq (0.13.7-1) maverick; urgency=low

  * Software icons now are the system icons
  * Improved the real-time highlight of selected words

 -- Daniele Di Sarli <danieleds0@gmail.com>  Wed, 30 Mar 2011 22:55:12 +0200

notepadqq (0.13.6-2) maverick; urgency=low

  * Initial release (Closes: #0)

 -- Daniele Di Sarli <danieleds0@gmail.com>  Mon, 28 Mar 2011 23:59:00 +0200
